let $FZF_DEFAULT_OPTS="--layout=reverse --bind \"Ctrl-n:preview-down,Ctrl-p:preview-up\""
let g:fzf_layout = { 'window': { 'width': 0.8, 'height': 0.8 } }

nnoremap <Leader>b   :Buffers<CR>
nnoremap <Leader>B   :History<CR>
nnoremap <Leader>/   :GFiles?<CR>
nnoremap <Leader>ff  :GFiles<CR>
nnoremap <Leader>fF  :Files<CR>
nnoremap <Leader>fL  :Lines<CR>
nnoremap <Leader>fc  :BCommits<CR>
nnoremap <Leader>fC  :Commits<CR>
nnoremap <Leader>fh  :History:<CR>
nnoremap <Leader>fH  :History/<CR>
nnoremap <Leader>fm  :Commands<CR>
nnoremap <Leader>fo  :Locate<SPACE>
nnoremap <Leader>fk  :Maps<CR>
nnoremap <Leader>f/  :Rg<CR>
nnoremap <Leader>fs  :exe ':Rg ' . expand('<cword>')<CR>

imap <C-x><C-w> <Plug>(fzf-complete-word)
imap <C-x><C-p> <Plug>(fzf-complete-path)
imap <C-x><C-f> <Plug>(fzf-complete-file)
imap <C-x><C-l> <Plug>(fzf-complete-line)
